%define name	libbtctl
%define version	0.3
%define release 2mdk

%define major	0
%define libname %{name}%{major}

Name: 	 	%{name}
Summary: 	GNOME bluetooth control library
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://usefulinc.com/software/gnome-bluetooth/
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig libgnomeui2_0-devel libGConf2_4-devel
BuildRequires:	libbluez-devel libbluez-sdp-devel

%description
Current features include:
    * Bonobo component to manage the discovery of nearby Bluetooth devices
    * Component will create serial (RFCOMM) connections for clients to devices
    * libbtcl, a GObject wrapper for Bluetooth functionality

Features planned in the near future include:
    * Control-center prefs application to give users overall control over
      devices

%package -n %libname
Group:		System/Libraries
Summary: 	GNOME bluetooth control library
Requires:	bluez-utils bluez-sdp

%description -n %libname
Current features include:
    * Bonobo component to manage the discovery of nearby Bluetooth devices
    * Component will create serial (RFCOMM) connections for clients to devices
    * libbtcl, a GObject wrapper for Bluetooth functionality

Features planned in the near future include:
    * Control-center prefs application to give users overall control over
      devices

%package -n %libname-devel
Group:		Development/C
Summary:	Static libraries and header files from %name
Provides:	%name-devel = %version
Requires:	%libname = %version

%description -n %libname-devel
Static libraries and header files from %name

%prep
%setup -q

%build
%configure --enable-shared
make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_includedir}/%name
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/%name.pc

%changelog
* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.3-2mdk
- DIRM

* Mon Mar 31 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
